Subject: Love her the right way, the hard way - the LONG AND DEEP way.

From: "reynaldo Golubev" <[email-masked]>
Date: Tue, 5 Feb 2008 15:24:46 +0100

Love her the right way, the hard way - the LONG AND DEEP way.